Subject: Re: [syzbot] WARNING in ath9k_hif_usb_alloc_urbs/usb_submit_urb

From: syzbot <[email-masked]>
Date: Mon, 30 Jan 2023 08:04:18 -0800

syzbot suspects this issue was fixed by commit:

commit 16ef02bad239f11f322df8425d302be62f0443ce
Author: Fedor Pchelkin <[email-masked]>
Date:   Sat Oct 8 21:15:32 2022 +0000

    wifi: ath9k: verify the expected usb_endpoints are present

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=153e9c11480000
start commit:   55be6084c8e0 Merge tag 'timers-core-2022-10-05' of git://g..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=df75278aabf0681a
dashboard link: https://syzkaller.appspot.com/bug?extid=d625c772c7814faabef9
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=138d8cc2880000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12b2dc3c880000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: wifi: ath9k: verify the expected usb_endpoints are present

For information about bisection process see: https://goo.gl/tpsmEJ#bisection